{#
/**
 * @file
 * Theme override of a datetime form wrapper.
 *
 * Available variables:
 * - content: The form element to be output, usually a datelist, or datetime.
 * - title: The title of the form element.
 * - title_attributes: HTML attributes for the title wrapper.
 * - description: Description text for the form element.
 * - required: An indicator for whether the associated form element is required.
 *
 * @see template_preprocess_datetime_wrapper()
 */
#}
{%
  set title_classes = [
    'label',
    required ? 'js-form-required',
    required ? 'form-required',
  ]
%}

{# Mimic form-item classes, in order for less complexity needed in CSS #}
{%
  set extra_classes = [
    'form-item',
    'form-item--datetime',
    element['#id'] ? 'form-item--' ~ element['#id']|clean_class
  ]
%}

<div {{ attributes.addClass(extra_classes) }}>
  {% if title %}
    <div class="form-item__label">
      <label>
        <span class="label-text">{{ title }}</span>
      </label>
    </div>
  {% endif %}

  {{ content }}

  {#
   # We are not showing errors for grouping containers,
   # instead we will show the errors on the individual fields.

    {% if errors %}
      <div class="form-item--error-message">
        {{ errors }}
      </div>
    {% endif %}
  #}

  {% if description %}
    <div{{ description_attributes.addClass('description') }}>
      {{ description }}
    </div>
  {% endif %}
</div>
